## com.sun.jersey.api.json
Class JSONConfiguration.MappedJettisonBuilder

    java.lang.Object
      com.sun.jersey.api.json.JSONConfiguration.Builder
          com.sun.jersey.api.json.JSONConfiguration.MappedJettisonBuilder

Enclosing class:
  JSONConfiguration

    public static class JSONConfiguration.MappedJettisonBuilder

extends JSONConfiguration.Builder

Builder class for constructing `JSONConfiguration` options for the `JSONConfiguration.Notation.MAPPED_JETTISON` convention.

Field Summary

Fields inherited from class com.sun.jersey.api.json.JSONConfiguration.Builder
`arrays, attrsAsElems, humanReadableFormatting, jsonXml2JsonNs, namespaceSeparator, nonStrings, rootUnwrapping, usePrefixAtNaturalAttributes`

Method Summary
`JSONConfiguration.MappedJettisonBuilder` `xml2JsonNs(java.util.Map<java.lang.String,java.lang.String> jsonXml2JsonNs)` Setter for XML to JSON namespace mapping.

Methods inherited from class com.sun.jersey.api.json.JSONConfiguration.Builder
`build`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### xml2JsonNs

    public JSONConfiguration.MappedJettisonBuilder xml2JsonNs(java.util.Map<java.lang.String,java.lang.String> jsonXml2JsonNs)

  Setter for XML to JSON namespace mapping. This property is valid for the `JSONConfiguration.Notation.MAPPED_JETTISON` and `JSONConfiguration.Notation.MAPPED` notations only.

  The value is a map with zero or more key/value pairs, where the key is an XML namespace and the value is the prefix to use as the replacement for the XML namespace.

  The default value is a map with zero key/value pairs.

Copyright © 2017 Oracle Corporation. All Rights Reserved.